local admob = require( "plugin.admob" )
local widget = require("widget")

local function adListener( event )
 
    if ( event.phase == "init" ) then  -- Successful initialization
        -- Load an AdMob interstitial ad
        admob.load( "interstitial", { adUnitId="ca-app-pub-4381328734127994/6621606521" } )
    end
end
 
-- Initialize the AdMob plugin
admob.init( adListener, { appId="ca-app-pub-4381328734127994~6172419505" } )
 
local function handleButtonEvent( event )
 
    if ( "ended" == event.phase ) then
if ( admob.isLoaded( "interstitial" ) ) then
    admob.show( "interstitial" )
end
end
end

local button1 = widget.newButton(
    {
        left = 100,
        top = 200,
        id = "button1",
        label = "Default",
        onEvent = handleButtonEvent
    }
)